/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

// Animations Nuinalp Design Language

//
// Animations for moviment 
// 

// Simple movement

.anim-moviment-simple {
  transition: cubic-bezier(0.76, 0, 0.16, 1.01) 100ms;
}

// Complex moviment

.anim-moviment-complex {
  transition: cubic-bezier(0.76, 0, 0.16, 1.01) 150ms;
}

// Detailed moviment
.anim-moviment-detailed {
  transition: cubic-bezier(0.76, 0, 0.16, 1.01) 500ms;
}

//
// Animations for input and exit
// 

.anim-exit {
  transition: ease-out 150ms;
}

.anim-input {
  transition: cubic-bezier(0, 0.83, 0.3, 0.99) 300ms;
}

// Remove animation

.anim-none {
  transition: none;
}

// Progressbars
@keyframes progressbarAnim {
  0% {background-position: 0 0;}
  100% {background-position: -15rem 0;}
}

@keyframes loadingProgressbar {
  0% {transform: translateX(-89%);}
  50% {transform: translateX(189%);}
  100% {transform: translateX(-89%);}
}

@keyframes fadeOut {
  from {
    opacity: 1;
    visibility: visible;
  }

  to {
    opacity: 0;
    visibility: hidden;
  }
}

.page-fade-out {
  animation: fadeOut cubic-bezier(0.93, 0, 1, 0.27) 150ms;
  animation-fill-mode: forwards;
}
